Skip to main content
GET
Transfer requests I filed or must decide on

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

id
string<uuid>
required
status
enum<string>
required

Client-facing status of a transfer_request proposal.

The record is a proposal (seven statuses); this is the short vocabulary the API keeps for the agent and the web app, mapped from ProposalStatus by :meth:from_proposal.

Available options:
requested,
approved,
declined,
failed
accountId
string<uuid>
required
requestedTime
string<date-time>
required
appId
string<uuid> | null
apiKeyId
string<uuid> | null
requestedByUserId
string<uuid> | null
transactionId
string | null
contact
TransferRequestContact · object | null
invoice
TransferRequestInvoice · object | null
quote
TransferRequestQuote · object | null
amount
number | null
memo
string | null
chatId
string<uuid> | null